
Redmine - Defect #9620

error after updating to the last Redmine trunk: NoMethodError: private method `split' called for

nil:NilCl$

2011-11-21 04:30 - Alex Last

Status: Closed Start date: 2011-11-21

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate Affected version:  

Description

Sun Nov 20 19:50:30 -0800 2011: Error calling Dispatcher.dispatch #<NoMethodError: private method `split' called for nil:NilCl$

/var/lib/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/cgi_process.rb:52:in `dispatch_cgi'

/var/lib/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/dispatcher.rb:101:in `dispatch_cgi'

/var/lib/gems/1.8/gems/actionpack-2.3.14/lib/action_controller/dispatcher.rb:27:in `dispatch'

/usr/lib/ruby/1.8/mongrel/rails.rb:76:in `process'

/usr/lib/ruby/1.8/mongrel/rails.rb:74:in `synchronize'

/usr/lib/ruby/1.8/mongrel/rails.rb:74:in `process'

/usr/lib/ruby/1.8/mongrel.rb:159:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:158:in `each'

/usr/lib/ruby/1.8/mongrel.rb:158:in `process_client'

/usr/lib/ruby/1.8/mongrel.rb:285:in `run'

/usr/lib/ruby/1.8/mongrel.rb:285:in `initialize'

/usr/lib/ruby/1.8/mongrel.rb:285:in `new'

Related issues:

Is duplicate of Redmine - Defect #8697: Error: "NoMethodError: private method... Closed 2011-06-27

History

#1 - 2011-11-21 07:32 - Alex Last

it looks like a duplicate of #8697 , but I have had Redmine 1.2.1 installed on that server before...

#2 - 2011-11-21 07:40 - Alex Last

I tried updating rails, using "gem update", "gem install mongrel" - I'm stuck now. The new version does not work and no way to get to the previous

one... sad.

the install/upgrade instructions for Redmine are getting a bit complicated for normal users. how many of them will want to go through all these games:

"install rack Y, but then do not install X, and then install 3 patches and then update this and that", especially since there are no good step-by-step

instructions and many solutions do not lead anywhere...

#3 - 2011-11-21 23:17 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Duplicate

Your problem is a Mongrel 1.1.5 (3+ years old) / Rails 2.3.11+ compatibility issue. I personnaly don't use mongrel and don't need to patch anything to

run latest trunk.
